home *** CD-ROM | disk | FTP | other *** search
- ;***************************************************/
- ;% ParaDraft - Source code (c) ALL RIGHTS RESERVED
- ;% Copyright (c) ParaWare Systems, 1991
- ;%
- ;%
- ;% PGINIT file for EARLIER VERIONS of AutoCAD
- ;%
- ;***************************************************/
-
- ; Add the complete file without modifications into ACAD.LSP
- ; for loading it automatically
-
- (setq *pgpg-shell* "PGSHELL")
-
- (setq *pgpg-10* nil)
-
- (defun c:pgpg()
- (load (strcat *pgpg-dir* "pgpg"))
- )
- (defun c:pgrun()
- (Setq *pgpg-demo* nil
- *pgpg-expert* nil
- *pgpg-calmode* nil)
- (load (strcat *pgpg-dir* "pgrun"))
- )
-
- (defun c:pgcustomload()
- (load (strcat *pgpg-dir* "pgcustom"))
- )
-
- (setq *pg-menu* (strcase (getvar "MENUNAME")))
-
- (defun c:pgmenu( / mnu pg-mnu)
- (setq mnu (strcase (getvar "MENUNAME")))
- (setq pg-mnu (strcase (strcat *pgpg-dir* "pgmenu")))
- (if (= mnu pg-mnu)
- (princ "\nParaDraft menu is already loaded")
- (progn
- (setq *pg-menu* mnu)
- (command ".MENU" pg-mnu)
- (if c:pgpgset (menucmd "P2=P2b"))
- (if *pgpg-demo* (menucmd "P7=P7b"))
- )
- )
- (princ)
- )
-
- (defun c:pgdemo()
- (Setq *pgpg-demo* T
- *pgpg-expert* T
- *pgpg-calmode* "CALC")
- (load (strcat *pgpg-dir* "pgrun"))
- )
- (defun slide-show( slides / slide )
- (Setvar "cmdecho" 0)
- (princ "ParaDraft information follows..")
- (Foreach slide slides
- (command "vslide" (strcat *pgpg-dir* "pgdraft(" (car slide) ")"))
- (command "delay" (* 1000 (Cadr slide)))
- )
- (getpoint "\nPress return to continue...")
- (command "redraw")
- (princ "\nThank you for your attention.")
- (princ "\nFor more information take a printout of MANUAL file : ")
- (princ (strcase *pgpg-dir*))(princ"PGDRAFT.DOC")
- (princ)
- )
- ;
- ; New functions of Release 10 are simulated here
-
- (defun handent(hnd)
- (princ "Handle to entity call ")
- )
- (defun trans(pt en code)
- (setq pt pt)
- )
- (defun getenv(name)
- (setq name name)
- )
-
- (defun findfile(aName / ok fd1)
- (Setq fd1 (open aName "r"))
- (if fd1
- (progn (setq ok T) (Close fd1))
- (Setq ok nil)
- )
- (setq ok ok)
- )
-
- (command "vslide" (strcat *pgpg-dir* "pgdraft(welcome)"))
- (command "menu" (strcat *pgpg-dir* "pgmenu"))
- (princ)
-
- ; END OF PGINIT file for EARLIER VERIONS of AutoCAD
-